## radeontool 1.5+git76606164

=== Makefile ===
CFLAGS = `pkg-config --cflags pciaccess` -Wall -g -I.
LDFLAGS = `pkg-config --libs pciaccess`

AVIVO_OBJS := atom.o avivotool.o xf86i2c.o atombios_tables.o

all: radeontool avivotool


radeontool: radeontool.c
	gcc $(CFLAGS) radeontool.c -o radeontool $(LDFLAGS)

avivotool: $(AVIVO_OBJS)
	gcc $(CFLAGS) -I. -Wall -O2 $(AVIVO_OBJS) -o avivotool $(LDFLAGS)

clean:	
	rm -f radeontool avivotool $(AVIVO_OBJS)

## radeontool 1.6.1

=== debian/changelog ===
radeontool (1.6.1-1) unstable; urgency=low

  [ Jonathan Nieder ]
  * New upstream release.
     - includes r128 support (closes: #572168).
  * Drop all patches (applied upstream).
  * Generate upstream changelog from git log.  See README.source
    for details.
  * debian/copyright: Fill in more details.
  * debian/rules: Rewrite using dh.  Requires a build-time
    dependency on debhelper 7.0.50.
  * debian/rules: Run autotools at build time.  Requires build-time
    dependencies on autoconf, automake, and libtool and a build-time
    conflict with automake1.4.
  * debian/radeontool.sgml: Move manpage to section 8 (thanks to
    Helge Kreutzmann, closes: #570839).
  * debian/rules: Apply patches at unpack time instead of build
    time by using dpkg source format 3.0 (quilt).  Remove build-time
    dependency on quilt.
  * debian/watch: Use uscan format version 3.
  * Use the bzip2-compressed version of the original source.

  [ Luigi Gangitano ]
  * debian/radeontool.lintian-override: Override Lintian error on GPL reference
  * debian/control: Bump to standard-versione 3.9.0 (no change needed)

 -- Luigi Gangitano <luigi@debian.org>  Wed, 30 Jun 2010 16:01:37 +0100

radeontool (1.6.0-1) unstable; urgency=low

  [ Tormod Volden ]
  * New upstream release
    Upstream is now git://anongit.freedesktop.org/~airlied/radeontool
  * Copied from Bryce Harrington's Ubuntu version:
    + Update man page to add 'regmatch' and 'regset' docs
    + debian/control: Build-dep on pkg-config and libpciaccess-dev
      and mention register debugging in package description
    + Install avivotool binary too
  * debian/rules: Replace dh_clean -k with dh_prep
  * debian/control: Bump to standard-version 3.8.4
  * debian/compat: Bump to debhelper compat version 7
  * debian/control: Build-dep on debhelper 7
  * debian/copyright: Add copyright notices and start working towards
    a machine-readable format
  * debian/rules: CHANGES and lightwatch.pl are not shipped any longer
  * debian/rules: Run configure at build time
  * debian/rules: Remove generated files in clean target
  * debian/patches/10-upstream-parse-options.patch: 
    Converted from inline patching to quilt
  * debian/patches/20-upstream-use-stderr-for-error-messages-and-usage.patch:
    Added and sent upstream, avoid errors on standard output
  * debian/patches/30-remove-an-incomplete-list-of-known-cards.patch:
    Added and sent upstream, avoid "unknown card" message
  * debian/control: Add Vcs-Git and Vcs-Browser links
  
  [ Luigi Gangitano ]
  * debian/control: Added Tormod in Uploaders
  * debian/watch: Fixed URL in watch file

 -- Tormod Volden <debian.tormod@gmail.com>  Mon,  8 Feb 2010 18:57:18 +0100

radeontool (1.5-5) unstable; urgency=low

  * radeontool.c
    - Fix undetected card on ATI Chipset, thanks to Modestas Vainius
    - Fix '--strip' command line option
    - Fix command line option parsing for '--skip' and '--debug'
    - Fix uninitialized skip and debug options
    - Fix type for pointer (long not int)

  * Makefile,debian/rules
    - Add support for DEB_BUILD_OPTIONS and CFLAGS

 -- Luigi Gangitano <luigi@debian.org>  Sun, 19 Nov 2006 20:09:50 +0100

radeontool (1.5-4) unstable; urgency=low

  * radeontool.c
    - Applied patch to fix FTBFS on powerpc (Thanks to Yves-Alexis Perez)
      (Closes: #388031)

 -- Luigi Gangitano <luigi@debian.org>  Sat, 23 Sep 2006 00:38:41 +0200

radeontool (1.5-3) unstable; urgency=low

  * Uploaded to unstable (Closes: #297218)

  * debian/control
    - Added warning on code quality in description

  * debian/README.Debian
    - Added warning on code quality

 -- Luigi Gangitano <luigi@debian.org>  Mon,  4 Apr 2005 23:24:59 +0200

radeontool (1.5-2) unstable; urgency=low

  * debian/rules
    - Moved manpage to correct place

  * debian/control
    - Added dependency on pciutils

 -- Luigi Gangitano <luigi@debian.org>  Mon, 28 Feb 2005 06:06:09 +0100

radeontool (1.5-1) unstable; urgency=low

  * Initial Release.

 -- Luigi Gangitano <luigi@debian.org>  Mon, 28 Feb 2005 00:13:08 +0100

=== debian/control ===
Source: radeontool
Section: utils
Priority: optional
Maintainer: Luigi Gangitano <luigi@debian.org>
Uploaders: Tormod Volden <debian.tormod@gmail.com>
Build-Depends: debhelper (>= 7.0.50),
 docbook-to-man,
 pciutils,
 pkg-config,
 libpciaccess-dev,
 autoconf,
 automake,
 libtool
Build-Conflicts: automake1.4
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/collab-maint/radeontool.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/radeontool.git;a=summary

Package: radeontool
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to control ATI Radeon backlight functions on laptops
 Radeontool is a small utility to control ATI Radeon based laptops' backlight
 and external output functions. It is also able to dump the contents of
 registers for debugging purposes.
 .
 WARNING: Radeontool code has not been completely audited and may contain bugs
 that could damage your hardware. Use at your own risk.

=== debian/rules ===
#!/usr/bin/make -f
# This file is in the public domain.
# You may freely use, modify, distribute, and relicense it.

clean build install binary-indep binary-arch binary:
	dh $@
.PHONY: clean build install binary-indep binary-arch binary

override_dh_auto_clean:
	sh debian/autogen.sh
	test -e debian/changelog.upstream || { \
		echo >&2 see debian/README.source; \
		exit 1; \
	}
	rm -f radeontool.8; # from docbook-to-man
	rm -f radeontool avivotool; # from cc
	rm -f *.o; # from cc
	rm -f *.tab.c; # from yacc
	rm -fr *.lo .libs _libs; # from libtool
	rm -f Makefile libtool; # from config.status
	rm -f config.status config.cache config.log; # from configure
	rm -f configure.lineno config.status.lineno config.lt; # from configure
	rm -fr configure autom4te.cache; # from autoconf
	rm -fr .deps; # from depcomp
	rm -f Makefile.in config.guess config.sub; # from automake
	rm -f depcomp install-sh ltmain.sh missing; # from automake
	rm -f aclocal.m4; # from aclocal
	rm -f CHANGES autogen.sh fix.sh lightwatch.pl; # not distributed

override_dh_auto_configure:
	autoreconf -is
	dh_auto_configure -- $(conf_opt)

override_dh_auto_build:
	dh_auto_build
	docbook-to-man debian/radeontool.sgml > radeontool.8

override_dh_installman:
	dh_installman radeontool.8

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

conf_opt = --bindir='$${exec_prefix}/sbin' CFLAGS='$(CFLAGS)'

CFLAGS = -g -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

## radeontool 1.6.2

=== debian/changelog ===
radeontool (1.6.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: radeontool.c:42:5: error: format not a string literal and no
    format arguments": add patch from Jonathan Nieder (adds format arguments).
    Closes: #643464

 -- gregor herrmann <gregoa@debian.org>  Fri, 27 Jan 2012 15:27:43 +0100

radeontool (1.6.2-1) unstable; urgency=low

  [ Jonathan Nieder ]
  * New upstream release.
     - includes Evergreen support.
  * debian/control: Bump to standards-version 3.9.1 (checked).
  * debian/compat: Move to debhelper version 8 semantics.  Requires
    a build-time dependency on debhelper 8.
  * debian/rules: Respect buildflags.conf and DEB_CFLAGS_APPEND by
    using the dpkg-buildflags utility.  Requires a build-time
    dependency on dpkg-dev 1.15.7.

  [ Luigi Gangitano ]
  * debian/rules: Add missing targets build-arch and build-indep
  * debian/control: Bump Standards-Version to 3.9.2 (no change needed).

 -- Luigi Gangitano <luigi@debian.org>  Fri, 02 Sep 2011 13:04:29 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Luigi Gangitano <luigi@debian.org>
 Uploaders: Tormod Volden <debian.tormod@gmail.com>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 8),
+ dpkg-dev (>= 1.15.7),
  docbook-to-man,
  pciutils,
  pkg-config,
@@ -12,7 +13,7 @@
  automake,
  libtool
 Build-Conflicts: automake1.4
-Standards-Version: 3.9.0
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/collab-maint/radeontool.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/radeontool.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # This file is in the public domain.
 # You may freely use, modify, distribute, and relicense it.
 
-clean build install binary-indep binary-arch binary:
+clean build build-indep build-arch install binary-indep binary-arch binary:
 	dh $@
 .PHONY: clean build install binary-indep binary-arch binary
 
@@ -41,11 +41,5 @@
 override_dh_installchangelogs:
 	dh_installchangelogs debian/changelog.upstream
 
+CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
 conf_opt = --bindir='$${exec_prefix}/sbin' CFLAGS='$(CFLAGS)'
-
-CFLAGS = -g -Wall
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
-endif

## radeontool 1.6.3

=== debian/changelog ===
radeontool (1.6.3-3) unstable; urgency=medium

  * Team upload.
  * Build-Depends: xserver-xorg-video-ati
    This excludes architectures where the video driver does not exist
    (currently only s390x)
    Closes: #551097
  * Fix clean target
    Closes: #1048917
  * Remove debian/README.source since redundant
  * Simplify d/rules
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Update copyright file header to use current field names
    (Upstream-Maintainer -> Upstream-Contact)
  * Update renamed lintian tag names in lintian overrides.
  * watch file standard 4 (routine-update)
  * Make sure all files have copyright information
  * Remove outdated lintian-overrides
  * Enable hardening flags

 -- Andreas Tille <tille@debian.org>  Wed, 16 Oct 2024 08:12:56 +0200

radeontool (1.6.3-2) UNRELEASED; urgency=medium

  * Migrate repository from alioth to salsa.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 20:43:13 +0100

radeontool (1.6.3-1) unstable; urgency=low

  * New upstream release
     - adds radeonreg tool.

  [ Tormod Volden ]
  * debian/control: Bump standards-Version to 3.9.4

  [ Jonathan Nieder ]
  * debian/control: Add myself to uploaders.
  * Drop -Wformat-security patch (applied upstream).
  * debian/control: Bump standards-Version to 3.9.3 (checked).
  * debian/compat: Move to debhelper version 9 semantics.  Requires
    a build-time dependency on debhelper 9.
  * debian/rules: Let debhelper take care of compiler flags.
  * debian/copyright: Use machine-readable format 1.0.
  * debian/copyright: Update.
  * debian/changelog.upstream.sh: Permit terser changelog lines
    for snapshots.

 -- Jonathan Nieder <jrnieder@gmail.com>  Thu, 12 Dec 2013 15:15:10 -0800

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Luigi Gangitano <luigi@debian.org>
-Uploaders: Tormod Volden <debian.tormod@gmail.com>
-Build-Depends: debhelper (>= 8),
- dpkg-dev (>= 1.15.7),
+Uploaders: Tormod Volden <debian.tormod@gmail.com>,
+ Jonathan Nieder <jrnieder@gmail.com>
+Build-Depends: debhelper-compat (= 13),
  docbook-to-man,
  pciutils,
- pkg-config,
+ pkgconf,
  libpciaccess-dev,
  autoconf,
  automake,
- libtool
+ libtool,
+ xserver-xorg-video-ati
 Build-Conflicts: automake1.4
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/collab-maint/radeontool.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/radeontool.git;a=summary
+Standards-Version: 4.7.0
+Vcs-Git: https://salsa.debian.org/debian/radeontool.git
+Vcs-Browser: https://salsa.debian.org/debian/radeontool
 
 Package: radeontool
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# This file is in the public domain.
# You may freely use, modify, distribute, and relicense it.

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_installman:
	docbook-to-man debian/radeontool.sgml > radeontool.8
	dh_installman radeontool.8
	rm radeontool.8

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

=== debian/watch ===
version=4
http://people.freedesktop.org/~airlied/radeontool/radeontool-(.*)\.tar\.bz2
